Commerce
/- Sends out a preview of the CRC notification email
Initiates workflow to warm up inventory transactions
Processes a shipment
Execute Batch Operations
Returns a list of records with the specified order_id
Gets all of the shipments in the system.
Processes a shipment
Returns a shipment from the system by its ID.
Returns a shipment from the system by its ID.
Partially updates a shipment with the specified ID.
Updates a shipment with the specified ID.
Sends out a preview of th...
Sends out a preview of the CRC notification email
Security
knox-authorizer
The domain_name to use to for record lookup
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/shipments/{tenantId}/previewEmail
- https://commerce.api.rhythmsoftware.comhttps://commerce.api.rhythmsoftware.com/shipments/{tenantId}/previewEmail
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/shipments/{tenantId}/previewEmail' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"cancellation_id": "string",
"coupon_id": "string",
"coupon_type": "string",
"destination_email_address": "string",
"email_template": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"order_id": "string",
"order_item_line_number": 0.1,
"return_id": "string",
"shipment_id": "string"
}'